%global momorel 1

%define xfontdir        %{_datadir}/fonts
%define langlist        "bengali hindi gujarati tamil punjabi kannada malayalam oriya telugu"

Name:        lohit-fonts
Version:     2.2.1
Release:     %{momorel}m%{?dist}
Summary:     Free Indian truetype/opentype fonts

Group:       User Interface/X
License:     GPLv2
URL:         http://fedoraproject.org/wiki/Lohit
Source0:     http://rbhalera.fedorapeople.org/released/lohit/lohit-fonts-%{version}.tar.gz
NoSource: 0
BuildArch:   noarch
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description 
This package provides Hindi, Bengali, Gujarati, Punjabi, Tamil,
Kannada, Malayalam, Oriya, Telugu TrueType/Opentype fonts.

# mk_pkg <name> <lang-code> 
%define mk_pkg() \
%package -n lohit-fonts-%1\
Summary:    Free %(echo %1 | sed -e "s/\\(.*\\)/\\u\\1/") font\
Group:      User Interface/X \
# strictly we only need to provide bn, gu, hi, pa, ta \
Provides:   ttfonts-%2 = 1.8-2\
Obsoletes : ttfonts-%2 <= 1.8-1\
\
\
%description -n lohit-fonts-%1\
This package provides a free %(echo %1 | sed -e "s/\\(.*\\)/\\u\\1/") truetype/opentype font.\
\
%files -n lohit-fonts-%1\
%defattr(-, root, root, -)\
%doc COPYING README AUTHORS\
%dir %{xfontdir}/lohit-%1\
%{xfontdir}/lohit-%1/*.ttf\
\
%post -n lohit-fonts-%1 \
if [ -x %{_bindir}/fc-cache ]; then \
  %{_bindir}/fc-cache %{xfontdir} \
fi \
\
%postun -n lohit-fonts-%1 \
if [ "$1" = "0" ]; then \
  if [ -x %{_bindir}/fc-cache ]; then \
    %{_bindir}/fc-cache %{xfontdir} \
  fi \
fi 

%mk_pkg bengali bn 
%mk_pkg gujarati gu
%mk_pkg hindi hi
%mk_pkg kannada kn 
%mk_pkg malayalam ml 
%mk_pkg oriya or 
%mk_pkg punjabi pa
%mk_pkg tamil ta 
%mk_pkg telugu te

%prep
%setup -q -n lohit-fonts-%{version}

%build
echo "Nothing to do in Build."

%install
rm -rf $RPM_BUILD_ROOT

for i in "%{langlist}"
do
  install -d $RPM_BUILD_ROOT/%{xfontdir}/lohit-$i
  install -m 0644 $i/* $RPM_BUILD_ROOT/%{xfontdir}/lohit-$i
done

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jul 16 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.2.1-1m)
- update to 2.2.1

* Sun Apr 20 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (2.1.9-1m)
- import from Fedora

* Thu Feb 28 2008 Rahul Bhalerao <rbhalera@redhat.com> - 2.1.9-1
- Bug 431035: [ml_IN] Glyph to be formed for nine consonants + 0D4D + 0D32 
- Bug 433437: [ml_IN] Rendering combination incorrect with 0D35
- Bug 433440: [ml_IN] Rendering combination incorrect with 0D2F
- Contributions from Hiran Venugopalan (xRa glyphs and few other)

* Fri Jan 25 2008 Rahul Bhalerao <rbhalera@redhat.com> - 2.1.8-1
- Updated version according to upstream to incorporate the bug fixes.

* Fri Nov 16 2007 Rahul Bhalerao <rbhalera@redhat.com> - 2.1.6-1.fc8
- Updated version according to upstream.

* Mon Sep 24 2007 Parag Nemade <pnemade@redhat.com> - 2.1.5-3.fc8
- SPEC cleanups as suggested in review. 

* Mon Sep 17 2007 Rahul Bhalerao <rbhalera@redhat.com>
- Spec file update as part of review

* Tue Sep 11 2007 Rahul Bhalerao <rbhalera@redhat.com> - 2.1.5-1.fc8
- This package is derived from the fonts-indic package to reflect the upstream
  project name [RH #253158]
